Create currency scheme vintage from file

Creates one or more currency scheme vintages.

A currency scheme vintage is a version of a currency scheme that identifies the exchange rate between the currency scheme's anchor currency and one or more currencies. The currency scheme vintage is applicable after its effective date (e.g. a software release date).

The file parameter accepts a flat file that maps a currencyCode value to a exchangeRate value.

currencyCode~exchangeRate
ABC~6.8999
DEF~6.8999
GHI~6.8999
JKL~0.166677
LMN~547.91251

The flat file must be in CSV format using the tilde (~) character as a delimiter. The first column specifies a valid currencyCodevalue. The second column specifies a valid exhangeRate. The header row is required.

🍐

Permissions

To perform this operation, a principal must belong to a group that has been assigned the appropriate role-based permissions. The table identifies the roles with permission to perform this operation.

UnderwriterTechnical UnderwriterRisk AnalystPortfolio ManagerCat Modeler
XX

To learn more about role-based permissions, see Roles.

Body Params
file
required

Flat file of currencyCode to exchangeRate mappings in CSV format.

  • File must include currencyCode and exchangeRate headers.
  • File must use tilde character (~) as text delimiter.
  • File must be smaller than 20MB in size.
string
required

Name of version of currency scheme.

string

Description of version of currency scheme.

string

Code of currency scheme. Currency scheme vintage is version of this currency scheme.

date
required

Effective date of exchange rates of this vintage of currency scheme.

Responses

Language
Credentials
URL
Response
Choose an example:
application/json